#include "DMTServer.hh"
#include "MonServer.hh"
#include "TSeries.hh"
#include "Histogram1.hh"
#include "LSCSegFind.hh"
#include <string>
#include <map>

class Cumulus : public DMTServer {
  public:
    typedef std::map<std::string, LSCSegFind> segmap;
    typedef segmap::iterator segmap_iter;
public:
  Cumulus(int argc, const char* argv[]);
  ~Cumulus(void);
  void ProcessData(const Time& t);
  void Attention(void);
  void readConfig(void);
  bool segExists(const std::string& name);

public:
  class segdsply {
  public:
    segdsply(const std::string& name, const std::string& seg, 
	     const Time& start, Interval dt);
    const char* getName(void) const {return _name.c_str();}
    void book(MonServer& svr);
    void fill(Cumulus::segmap& sm);
    const LockSegList& segEval(Cumulus::segmap& sm);
    void setDebug(int lvl);
  private:
    std::string _name;
    std::string _seg;
    Time        _start;
    Interval    _dt;
    TSeries     _ts;
    Histogram1  _hist;
    int         _debug;
  };
  typedef std::vector<segdsply> dspvect;
  typedef dspvect::iterator dsp_iter;
private:
  std::string mServerName;
  std::string mConfFile;
  segmap  mSegMap;
  dspvect mDspVect;
};

//======================================  Inline functions.
inline bool
Cumulus::segExists(const std::string& name) {
    return mSegMap.find(name) != mSegMap.end();
}
