#include <stdio.h>
#include <cmath>
#include "resample.hh"

ResampleT* SetResample(int fin, int fout)
{
  ResampleT* dat=new ResampleT;
  if(dat) {
    dat->fin=fin;
    dat->fout=fout;
    dat->offsetCount=0;
    dat->history[0]=0;
  }
  return dat;
}
void CloseResample(ResampleT* dat)
{
  delete dat;
}
// the first sample corresponds to alpha=0
float spline(float alpha, int N, float*data)
{
  if(N<=1) return data[0]; 
  return (data[1]-data[0])*alpha + data[0];
}
int Resample(int Nin, float*in, int*Nout, float*out, ResampleT*dat,float gain)
{
  float alpha,iicont;
  int ii,jj;
  for(jj=0;(iicont=float(dat->fin*jj + dat->offsetCount)/float(dat->fout)) < Nin;jj++) {
    ii=int(floor(iicont));
    alpha=iicont-float(ii);
    ii-=1;  // shift back 1 sample to avoid missing future data
    //printf("%i / %i / %f\n",ii,jj,alpha);
    if(ii<-1) { printf("Error in code\n");
    } else if(ii<0) {
      dat->history[1]=in[0];
      //printf("using history: %f / %f\n",dat->history[0],dat->history[1]);
      out[jj]=gain*spline(alpha,2,dat->history);
    } else if(ii<Nin-1) {
      out[jj]=gain*spline(alpha,2,in+ii);
    } else if(ii==Nin-1) {
      //printf("Need future data\n");
      out[jj]=gain*spline(alpha+1,2,in+ii-1);
    } else { printf("Error in code\n"); }
  }
  int step=Nin*dat->fout - dat->offsetCount;
  dat->offsetCount = dat->fin*int(ceil(float(step)/float(dat->fin))) - step;
  dat->history[0]=in[Nin-1];
  *Nout=jj;
  //printf("Nout = %i / oC = %i / hist = %f\n",*Nout,dat->offsetCount,dat->history[0]); 
  return *Nout;
}
