#ifndef TABLE_EVAL_HH
#define TABLE_EVAL_HH

#include "calc_engine/engine.hh"
#include "calc_engine/str_stack.hh"
#include "table.hh"
#include <map>

namespace table {

  class eval : public Engine {
  public:
    typedef std::map<std::string, std::string> dict_type;
  public:
    eval(const Table& t, const std::string& cmd, int debug=0);
    void addSymbol(const std::string& name, const std::string& value);
    std::string evalRow(int row);
    bool evalRow_bool(int row);
    double evalRow_numeric(int row);
    virtual void eval_funct(const std::string& sym, int N);
    virtual void push_symbol(const std::string& sym);
    void setDictionary(const dict_type& dict);

  private:
    const Table& mTable;
    dict_type mDictionary;
    int mRow;
    str_stack mStack;
  };

} // namespace table

#endif // !defined(TABLE_EVAL_HH)
